﻿* Encoding: UTF-8.
*************************************************************************************
***Kinderversion für Kiddo KINDL
***kiddo_kindl_k.

*********Umpolung der Rohwerte.
*Negative gepolte Items.
RECODE a_kind1 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind1.
RECODE a_kind2 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind2.
RECODE a_kind3 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind3.
RECODE a_kind6 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind6.
RECODE a_kind7 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind7.
RECODE a_kind8 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind8.
RECODE a_kind15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind15.
RECODE a_kind16 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind16.
RECODE a_kind20 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind20.
RECODE a_kind23 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind23.
RECODE a_kind24 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind24.


*Richtig gepolte Items.
RECODE a_kind4 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind4.
RECODE a_kind5 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind5.
RECODE a_kind9 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind9.
RECODE a_kind10 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind10.
RECODE a_kind11 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind11.
RECODE a_kind12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind12.
RECODE a_kind13 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind13.
RECODE a_kind14 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind14.
RECODE a_kind17 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind17.
RECODE a_kind18 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind18.
RECODE a_kind19 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind19.
RECODE a_kind21 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind21.
RECODE a_kind22 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind22.
EXECUTE.

VARIABLE LABELS 
a_xind1 '... habe ich mich krank gefühlt'
a_xind2 '... hatte ich Schmerzen'
a_xind3 '… war ich müde und erscöpft'
a_xind4 '... hatte ich viel Kraft und Ausdauer'
a_xind5 '... habe ich viel gelacht und Spaß gehabt'
a_xind6 '... war mir langweilig'
a_xind7 '... habe ich mich allein gefühlt'
a_xind8 '... habe ich mich ängstlich oder unsicher gefühlt'
a_xind9 '... war ich stolz auf mich'
a_xind10 '... fühlte ich mich wohl in meiner Haut'
a_xind11 '... mochte ich mich selbst leiden'
a_xind12 '... hatte ich viele gute Ideen'
a_xind13 '... habe ich mich gut mit meinen Eltern verstanden'
a_xind14 '... habe ich mich zu Hause wohl gefühlt'
a_xind15 '... hatten wir schlimmen Streit zu Hause' 
a_xind16 '... fühlte ich mich durch meine Eltern eingeschränkt'
a_xind17 '... habe ich etwas mit Freunden zusammen gemacht'
a_xind18 '... bin ich bei anderen "gut angekommen"'
a_xind19 '... habe ich mich mit meinen Freunden verstanden'
a_xind20 '... hatte ich das Gefühl, dass ich anders bin als die anderen'
a_xind21 '... habe ich die Schulaufgaben gut geschafft'
a_xind22 '... hat mir der Unterricht Spaß gemacht'
a_xind23 '... habe ich mir Sorgen um meine Zukunft gemacht'
a_xind24 '... habe ich Angst vor schlechten Noten gehabt'.

VALUE LABELS
a_xind1 a_xind2 a_xind3 a_xind6 a_xind7 a_xind8 a_xind15 a_xind16 a_xind20 a_xind23 a_xind24
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
a_xind4 a_xind5 a_xind9 a_xind10 a_xind11 a_xind12 a_xind13 a_xind14 a_xind17 a_xind18 a_xind19 a_xind21 a_xind22
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.

******* Total.
*Berechnung Summenscore.
COMPUTE total_mean = mean.17(a_xind1,a_xind2,a_xind3,a_xind4,a_xind5,a_xind6,a_xind7,a_xind8,a_xind9,a_xind10,a_xind11
,a_xind12,a_xind13,a_xind14,a_xind15,a_xind16,a_xind17,a_xind18,a_xind19,a_xind20,a_xind21,a_xind22
,a_xind23,a_xind24).

COMPUTE total_sum = total_mean*24.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE total_100 = ((total_sum-24)/96)*100.
EXECUTE.


***** Skala "Körperliches Wohlbefinden".
*Berechnung Summenscore.
COMPUTE kw_mean = mean.3(a_xind1, a_xind2, a_xind3, a_xind4).

COMPUTE kw_sum = kw_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE kw_100 = ((kw_sum-4)/16)*100.
EXECUTE.

***** Skala "Psychisches Wohlbefinden".
*Berechnung Summenscore.
COMPUTE pw_mean = mean.3(a_xind5, a_xind6, a_xind7, a_xind8).

COMPUTE pw_sum = pw_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE pw_100 = ((pw_sum-4)/16)*100.
EXECUTE.

***** Skala "Selbstwert".
*Berechnung Summenscore.
COMPUTE sw_mean = mean.3(a_xind9, a_xind10, a_xind11, a_xind12).

COMPUTE sw_sum = sw_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE sw_100 = ((sw_sum-4)/16)*100.
EXECUTE.

***** Skala "Familie".
*Berechnung Summenscore.
COMPUTE fa_mean = mean.3(a_xind13, a_xind14, a_xind15, a_xind16).

COMPUTE fa_sum = fa_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE fa_100 = ((fa_sum-4)/16)*100.
EXECUTE.

***** Skala "Freunde".
*Berechnung Summenscore.
COMPUTE fr_mean = mean.3(a_xind17, a_xind18, a_xind19, a_xind20).

COMPUTE fr_sum = fr_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE fr_100 = ((fr_sum-4)/16)*100.
EXECUTE.

***** Skala "Schule".
*Berechnung Summenscore.
COMPUTE sc_mean = mean.3(a_xind21, a_xind22, a_xind23, a_xind24).

COMPUTE sc_sum = sc_mean*4.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE sc_100 = ((sc_sum-4)/16)*100.
EXECUTE.



VARIABLE LABELS
total_mean 'KINDL - Total Quality of life Mittelwert'
total_sum 'KINDL - Total Quality of life Summe'
total_100 'KINDL - Total Quality of life 100'
kw_mean 'KINDL - Körperliches Wohlbefinden Mittelwert'
kw_sum  'KINDL -  Körperliches Wohlbefinden Summe'
kw_100 'KINDL -  Körperliches Wohlbefinden 100'
pw_mean   'KINDL - Psychisches Wohlbefinden Mittelwert'
pw_sum  'KINDL - Psychisches Wohlbefinden Summe'
pw_100 'KINDL - Psychisches Wohlbefinden 100'
sw_mean  'KINDL - Selbstwert Mittelwert'
sw_sum 'KINDL - Selbstwert Summe'
sw_100 'KINDL - Selbstwert 100'
fa_mean 'KINDL - Familie Mittelwert'
fa_sum 'KINDL - Familie Summe'
fa_100 'KINDL - Familie 100'
fr_mean 'KINDL - Freunde Mittelwert'
fr_sum  'KINDL - Freunde Summe'
fr_100 'KINDL - Freunde 100'
sc_mean 'KINDL - Schule Mittelwert'
sc_sum 'KINDL - Schule Summe'
sc_100 'KINDL - Schule 100'.
EXECUTE.


*ZUSATZSCALA KRANKHEITSMODUL. 

*********Umpolung der Rohwerte.
*Negative gepolte Items.

RECODE a_kind26 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind26.
RECODE a_kind27 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind27.
RECODE a_kind29 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind29.
RECODE a_kind30 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind30.
RECODE a_kind31 (5=1) (4=2) (3=3) (2=4) (1=5) INTO a_xind31.

*Richtig gepolte Items.

RECODE a_kind28 (5=5) (4=4) (3=3) (2=2) (1=1) INTO a_xind28.
EXECUTE.

VARIABLE LABELS 
a_xind26 '... hatte ich Angst, meine Erkrankung könnte schlimmer werden'
a_xind27 '... war ich wegen meiner Erkrankung traurig'
a_xind28 '... kam ich mit meiner Erkrankung gut zurecht'
a_xind29 '... behandelten mich meine Eltern wegen der Erkangung wie ein kleines Kind'
a_xind30 '... wollte ich, dass keiner etwas von meiner Erkrankung merkt'
a_xind31 '... habe ich wegen der Erkrankung in der Schule etwas verpasst'.

VALUE LABELS
a_xind26 a_xind27 a_xind29 a_xind30 a_xind31
1 'immer'
2 'oft'
3 'manchmal'
4 'selten'
5 'nie'.
EXECUTE.

VALUE LABELS
a_xind28
1 'nie'
2 'selten'
3 'manchmal'
4 'oft'
5 'immer'.
EXECUTE.




*****Skala "Zusatzskala chronisch-generisch".
*Berechnung Summenscore.
COMPUTE cg_mean = mean.5(a_xind26, a_xind27, a_xind28, a_xind29, a_xind30, a_xind31).

COMPUTE cg_sum = cg_mean*6.
EXECUTE.

*Berechnung auf 100 transformierte Skala.
COMPUTE cg_100 = ((cg_sum-6)/24)*100.
EXECUTE.


VARIABLE LABELS
cg_mean 'KINDL - chronisch-generisch Mittelwert'
cg_sum 'KINDL - chronisch-generisch Summe'
cg_100 'KINDL - chronisch-generisch 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

